summaryrefslogtreecommitdiff
path: root/test/poi-service/rebuild_all.sh
diff options
context:
space:
mode:
author <philippe colliot>2015-11-24 12:57:50 +0100
committer <philippe colliot>2015-11-24 12:57:50 +0100
commit4bd633ece3b3540a12405d23c9cc2651f85d9e2f (patch)
treefd13ab26617bd9ce29d7142600f23588f5e89cf4 /test/poi-service/rebuild_all.sh
parent1c63b16f25c315e97185816320d445c3008181e5 (diff)
downloadpoi-service-4bd633ece3b3540a12405d23c9cc2651f85d9e2f.tar.gz
Some updates and scripts added
Diffstat (limited to 'test/poi-service/rebuild_all.sh')
-rwxr-xr-xtest/poi-service/rebuild_all.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/test/poi-service/rebuild_all.sh b/test/poi-service/rebuild_all.sh
new file mode 100755
index 0000000..0ed9518
--- /dev/null
+++ b/test/poi-service/rebuild_all.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+if [ ! $COMMON_API_ROOT_DIR ]
+then
+ echo 'Set the root dir of the common api tools'
+ echo 'You are supposed to build common-api-dbus-tools and common-api-tools under the same root dir'
+ echo 'export COMMON_API_ROOT_DIR=<path>'
+ exit 1
+fi
+
+echo 'build the poi server'
+cd ../../src/poi-service
+./rebuild_all.sh
+cd ../../test/poi-service
+
+echo 'build the poi client'
+
+echo 'delete the build folder'
+rm -rf build
+mkdir build
+cd build
+
+echo 'build with CommonAPI'
+cmake -DWITH_FRANCA_DBUS_INTERFACE=ON -DWITH_DATABASE_SUPPLIER=ON -DCOMMONAPI_DBUS_TOOL_GENERATOR=$COMMON_API_ROOT_DIR/common-api-dbus-tools/org.genivi.commonapi.dbus.cli.product/target/products/org.genivi.commonapi.dbus.cli.product/linux/gtk/x86/commonapi-dbus-generator-linux-x86 -DCOMMONAPI_TOOL_GENERATOR=$COMMON_API_ROOT_DIR/common-api-tools/org.genivi.commonapi.core.cli.product/target/products/org.genivi.commonapi.core.cli.product/linux/gtk/x86/commonapi-generator-linux-x86 -DWITH_DEBUG=ON . ../
+
+make
+